//------------------------------------------------------------------------------
// <auto-generated>
//      Generated by NativeAssist version 1.0.0.0 with Split Generator.
//      Do not modify this file unless necessary.
// </auto-generated>
//------------------------------------------------------------------------------

namespace NativeFx.Interop;

using System;
using GTA.Native;
using GTA;
using GTA.Math;

public static partial class Natives 
{
public static class Pad {
/// <summary>
/// control: 0: PLAYER_CONTROL, 1: CAMERA_CONTROL, 2: FRONTEND_CONTROL<br />For more info, see https://docs.fivem.net/docs/game-references/controls/
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Pad<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x1CEA6BFDF248E5D9<br />
/// </para>
/// </remarks>
public static bool IsControlEnabled(int control, int action){
return Function.Call<bool>((Hash)0x1CEA6BFDF248E5D9uL, control, action);
}

/// <summary>
/// Returns whether a control is currently pressed.<br />control: see IS_CONTROL_ENABLED
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Pad<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xF3A21BCD95725A4A<br />
/// </para>
/// </remarks>
public static bool IsControlPressed(int control, int action){
return Function.Call<bool>((Hash)0xF3A21BCD95725A4AuL, control, action);
}

/// <summary>
/// Returns whether a control is currently _not_ pressed.<br />control: see IS_CONTROL_ENABLED
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Pad<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x648EE3E7F38877DD<br />
/// </para>
/// </remarks>
public static bool IsControlReleased(int control, int action){
return Function.Call<bool>((Hash)0x648EE3E7F38877DDuL, control, action);
}

/// <summary>
/// Returns whether a control was newly pressed since the last check.<br />control: see IS_CONTROL_ENABLED
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Pad<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x580417101DDB492F<br />
/// </para>
/// </remarks>
public static bool IsControlJustPressed(int control, int action){
return Function.Call<bool>((Hash)0x580417101DDB492FuL, control, action);
}

/// <summary>
/// Returns whether a control was newly released since the last check.<br />control: see IS_CONTROL_ENABLED
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Pad<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x50F940259D3841E6<br />
/// </para>
/// </remarks>
public static bool IsControlJustReleased(int control, int action){
return Function.Call<bool>((Hash)0x50F940259D3841E6uL, control, action);
}

/// <summary>
/// control: see IS_CONTROL_ENABLED
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Pad<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xD95E79E8686D2C27<br />
/// </para>
/// </remarks>
public static int GetControlValue(int control, int action){
return Function.Call<int>((Hash)0xD95E79E8686D2C27uL, control, action);
}

/// <summary>
/// Returns the value of GET_CONTROL_VALUE normalized (i.e. a real number value between -1 and 1)<br /><br />control: see IS_CONTROL_ENABLED
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Pad<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xEC3C9B8D5327B563<br />
/// </para>
/// </remarks>
public static float GetControlNormal(int control, int action){
return Function.Call<float>((Hash)0xEC3C9B8D5327B563uL, control, action);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Pad<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x5B73C77D9EB66E24<br />
/// </para>
/// </remarks>
public static void SetUseAdjustedMouseCoords(bool toggle){
Function.Call((Hash)0x5B73C77D9EB66E24uL, toggle);
}

/// <summary>
/// Seems to return values between -1 and 1 for controls like gas and steering.<br /><br />control: see IS_CONTROL_ENABLED
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Pad<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x5B84D09CEC5209C5<br />
/// </para>
/// </remarks>
public static float GetControlUnboundNormal(int control, int action){
return Function.Call<float>((Hash)0x5B84D09CEC5209C5uL, control, action);
}

/// <summary>
/// This is for simulating player input.<br />value is a float value from 0 - 1<br /><br />control: see IS_CONTROL_ENABLED
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Pad<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xE8A25867FBA3B05E<br />
/// </para>
/// </remarks>
public static bool SetControlValueNextFrame(int control, int action, float value){
return Function.Call<bool>((Hash)0xE8A25867FBA3B05EuL, control, action, value);
}

/// <summary>
/// control: see IS_CONTROL_ENABLED
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Pad<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xE2587F8CBBD87B1D<br />
/// </para>
/// </remarks>
public static bool IsDisabledControlPressed(int control, int action){
return Function.Call<bool>((Hash)0xE2587F8CBBD87B1DuL, control, action);
}

/// <summary>
/// control: see IS_CONTROL_ENABLED
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Pad<br />
/// <b>From Build:</b> 757<br />
/// <b>Native ID:</b> 0xFB6C4072E9A32E92<br />
/// </para>
/// </remarks>
public static bool IsDisabledControlReleased(int control, int action){
return Function.Call<bool>((Hash)0xFB6C4072E9A32E92uL, control, action);
}

/// <summary>
/// control: see IS_CONTROL_ENABLED
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Pad<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x91AEF906BCA88877<br />
/// </para>
/// </remarks>
public static bool IsDisabledControlJustPressed(int control, int action){
return Function.Call<bool>((Hash)0x91AEF906BCA88877uL, control, action);
}

/// <summary>
/// control: see IS_CONTROL_ENABLED
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Pad<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x305C8DCD79DA8B0F<br />
/// </para>
/// </remarks>
public static bool IsDisabledControlJustReleased(int control, int action){
return Function.Call<bool>((Hash)0x305C8DCD79DA8B0FuL, control, action);
}

/// <summary>
/// control: see IS_CONTROL_ENABLED
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Pad<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x11E65974A982637C<br />
/// </para>
/// </remarks>
public static float GetDisabledControlNormal(int control, int action){
return Function.Call<float>((Hash)0x11E65974A982637CuL, control, action);
}

/// <summary>
/// The &quot;disabled&quot; variant of GET_CONTROL_UNBOUND_NORMAL.<br /><br />control: see IS_CONTROL_ENABLED
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Pad<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x4F8A26A890FD62FB<br />
/// </para>
/// </remarks>
public static float GetDisabledControlUnboundNormal(int control, int action){
return Function.Call<float>((Hash)0x4F8A26A890FD62FBuL, control, action);
}

/// <summary>
/// Returns time in ms since last input.<br /><br />control: see IS_CONTROL_ENABLED
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Pad<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xD7D22F5592AED8BA<br />
/// </para>
/// </remarks>
public static int GetControlHowLongAgo(int control){
return Function.Call<int>((Hash)0xD7D22F5592AED8BAuL, control);
}

/// <summary>
/// control: unused parameter
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Pad<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xA571D46727E2B718<br />
/// </para>
/// </remarks>
public static bool IsUsingKeyboardAndMouse(int control){
return Function.Call<bool>((Hash)0xA571D46727E2B718uL, control);
}

/// <summary>
/// control: see IS_CONTROL_ENABLED
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Pad<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x13337B38DB572509<br />
/// </para>
/// </remarks>
public static bool IsUsingCursor(int control){
return Function.Call<bool>((Hash)0x13337B38DB572509uL, control);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Pad<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xFC695459D4D0E219<br />
/// </para>
/// </remarks>
public static bool SetCursorPosition(float x, float y){
return Function.Call<bool>((Hash)0xFC695459D4D0E219uL, x, y);
}

/// <summary>
/// control: see IS_CONTROL_ENABLED<br /><br />Hardcoded to return false.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Pad<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x23F09EADC01449D6<br />
/// </para>
/// </remarks>
public static bool IsUsingRemotePlay(int control){
return Function.Call<bool>((Hash)0x23F09EADC01449D6uL, control);
}

/// <summary>
/// control: unused parameter
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Pad<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x6CD79468A1E595C6<br />
/// </para>
/// </remarks>
public static bool HaveControlsChanged(int control){
return Function.Call<bool>((Hash)0x6CD79468A1E595C6uL, control);
}

/// <summary>
/// allowXOSwap appears to always be true.<br /><br />EG:<br />GET_CONTROL_INSTRUCTIONAL_BUTTON (2, 201, 1) /*INPUT_FRONTEND_ACCEPT (e.g. Enter button)*/<br />GET_CONTROL_INSTRUCTIONAL_BUTTON (2, 202, 1) /*INPUT_FRONTEND_CANCEL (e.g. ESC button)*/<br />GET_CONTROL_INSTRUCTIONAL_BUTTON (2, 51, 1) /*INPUT_CONTEXT (e.g. E button)*/<br /><br />gtaforums.com/topic/819070-c-draw-instructional-buttons-scaleform-movie/#entry1068197378<br /><br />control: unused parameter
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Pad<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x0499D7B09FC9B407<br />
/// </para>
/// </remarks>
public static string GetControlInstructionalButtonsString(int control, int action, bool allowXOSwap){
return Function.Call<string>((Hash)0x0499D7B09FC9B407uL, control, action, allowXOSwap);
}

/// <summary>
/// control: unused parameter
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Pad<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x80C2FD58D720C801<br />
/// </para>
/// </remarks>
public static string GetControlGroupInstructionalButtonsString(int control, int controlGroup, bool allowXOSwap){
return Function.Call<string>((Hash)0x80C2FD58D720C801uL, control, controlGroup, allowXOSwap);
}

/// <summary>
/// control: see IS_CONTROL_ENABLED
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Pad<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x8290252FFF36ACB5<br />
/// </para>
/// </remarks>
public static void SetControlLightEffectColor(int control, int red, int green, int blue){
Function.Call((Hash)0x8290252FFF36ACB5uL, control, red, green, blue);
}

/// <summary>
/// control: see IS_CONTROL_ENABLED
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Pad<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xCB0360EFEFB2580D<br />
/// </para>
/// </remarks>
public static void ClearControlLightEffect(int control){
Function.Call((Hash)0xCB0360EFEFB2580DuL, control);
}

/// <summary>
/// control: see IS_CONTROL_ENABLED<br />duration in milliseconds <br />frequency should range from about 10 (slow vibration) to 255 (very fast)<br /><br />example:<br />SET_CONTROL_SHAKE(PLAYER_CONTROL, 100, 200);
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Pad<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x48B3886C1358D0D5<br />
/// </para>
/// </remarks>
public static void SetControlShake(int control, int duration, int frequency){
Function.Call((Hash)0x48B3886C1358D0D5uL, control, duration, frequency);
}

/// <summary>
/// Does nothing (it&apos;s a nullsub).
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Pad<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x14D29BB12D47F68C<br />
/// </para>
/// </remarks>
public static void SetControlTriggerShake(int control, int leftDuration, int leftFrequency, int rightDuration, int rightFrequency){
Function.Call((Hash)0x14D29BB12D47F68CuL, control, leftDuration, leftFrequency, rightDuration, rightFrequency);
}

/// <summary>
/// control: see IS_CONTROL_ENABLED
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Pad<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x38C16A305E8CDC8D<br />
/// </para>
/// </remarks>
public static void StopControlShake(int control){
Function.Call((Hash)0x38C16A305E8CDC8DuL, control);
}

/// <summary>
/// control: see IS_CONTROL_ENABLED
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Pad<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xF239400E16C23E08<br />
/// </para>
/// </remarks>
public static void SetControlShakeSuppressedId(int control, int uniqueId){
Function.Call((Hash)0xF239400E16C23E08uL, control, uniqueId);
}

/// <summary>
/// control: see IS_CONTROL_ENABLED
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Pad<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xA0CEFCEA390AAB9B<br />
/// </para>
/// </remarks>
public static void ClearControlShakeSuppressedId(int control){
Function.Call((Hash)0xA0CEFCEA390AAB9BuL, control);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Pad<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x77B612531280010D<br />
/// </para>
/// </remarks>
public static bool IsLookInverted(){
return Function.Call<bool>((Hash)0x77B612531280010DuL);
}

/// <summary>
/// Used with IS_LOOK_INVERTED() and negates its affect.<br /><br />--<br /><br />Not sure how the person above got that description, but here&apos;s an actual example:<br /><br />if (PAD::IS_USING_KEYBOARD_AND_MOUSE(2)) {<br />    if (a_5) {<br />        if (PAD::IS_LOOK_INVERTED()) {<br />            a_3 *= -1;<br />        }<br />        if (PAD::IS_MOUSE_LOOK_INVERTED()) {<br />            a_3 *= -1;<br />        }<br />    }<br />}
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Pad<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xE1615EC03B3BB4FD<br />
/// </para>
/// </remarks>
public static bool IsMouseLookInverted(){
return Function.Call<bool>((Hash)0xE1615EC03B3BB4FDuL);
}

/// <summary>
/// Hard-coded to return 3 if using KBM, otherwise same behavior as GET_LOCAL_PLAYER_GAMEPAD_AIM_STATE.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Pad<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xBB41AFBBBC0A0287<br />
/// </para>
/// </remarks>
public static int GetLocalPlayerAimState(){
return Function.Call<int>((Hash)0xBB41AFBBBC0A0287uL);
}

/// <summary>
/// Returns the local player&apos;s targeting mode. See PLAYER::SET_PLAYER_TARGETING_MODE.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Pad<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x59B9A7AF4C95133C<br />
/// </para>
/// </remarks>
public static int GetLocalPlayerGamepadAimState(){
return Function.Call<int>((Hash)0x59B9A7AF4C95133CuL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Pad<br />
/// <b>From Build:</b> 1365<br />
/// <b>Native ID:</b> 0x25AAA32BDC98F2A3<br />
/// </para>
/// </remarks>
public static bool GetIsUsingAlternateHandbrake(){
return Function.Call<bool>((Hash)0x25AAA32BDC98F2A3uL);
}

/// <summary>
/// Returns profile setting 225.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Pad<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x0F70731BACCFBB96<br />
/// </para>
/// </remarks>
public static bool GetIsUsingAlternateDriveby(){
return Function.Call<bool>((Hash)0x0F70731BACCFBB96uL);
}

/// <summary>
/// Returns profile setting 17.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Pad<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xFC859E2374407556<br />
/// </para>
/// </remarks>
public static bool GetAllowMovementWhileZoomed(){
return Function.Call<bool>((Hash)0xFC859E2374407556uL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Pad<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x798FDEB5B1575088<br />
/// </para>
/// </remarks>
public static void SetPlayerpadShakesWhenControllerDisabled(bool toggle){
Function.Call((Hash)0x798FDEB5B1575088uL, toggle);
}

/// <summary>
/// control: see IS_CONTROL_ENABLED
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Pad<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xEDE476E5EE29EDB1<br />
/// </para>
/// </remarks>
public static void SetInputExclusive(int control, int action){
Function.Call((Hash)0xEDE476E5EE29EDB1uL, control, action);
}

/// <summary>
/// control: see IS_CONTROL_ENABLED
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Pad<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xFE99B66D079CF6BC<br />
/// </para>
/// </remarks>
public static void DisableControlAction(int control, int action, bool disableRelatedActions){
Function.Call((Hash)0xFE99B66D079CF6BCuL, control, action, disableRelatedActions);
}

/// <summary>
/// control: see IS_CONTROL_ENABLED
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Pad<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x351220255D64C155<br />
/// </para>
/// </remarks>
public static void EnableControlAction(int control, int action, bool enableRelatedActions){
Function.Call((Hash)0x351220255D64C155uL, control, action, enableRelatedActions);
}

/// <summary>
/// control: see IS_CONTROL_ENABLED
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Pad<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x5F4B6931816E599B<br />
/// </para>
/// </remarks>
public static void DisableAllControlActions(int control){
Function.Call((Hash)0x5F4B6931816E599BuL, control);
}

/// <summary>
/// control: see IS_CONTROL_ENABLED
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Pad<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xA5FFE9B05F199DE7<br />
/// </para>
/// </remarks>
public static void EnableAllControlActions(int control){
Function.Call((Hash)0xA5FFE9B05F199DE7uL, control);
}

/// <summary>
/// Used in carsteal3 script with schemeName = &quot;Carsteal4_spycar&quot;.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Pad<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x3D42B92563939375<br />
/// </para>
/// </remarks>
public static bool InitPcScriptedControls(string schemeName){
return Function.Call<bool>((Hash)0x3D42B92563939375uL, schemeName);
}

/// <summary>
/// Same as INIT_PC_SCRIPTED_CONTROLS
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Pad<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x4683149ED1DDE7A1<br />
/// </para>
/// </remarks>
public static bool SwitchPcScriptedControls(string schemeName){
return Function.Call<bool>((Hash)0x4683149ED1DDE7A1uL, schemeName);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Pad<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x643ED62D5EA3BEBD<br />
/// </para>
/// </remarks>
public static void ShutdownPcScriptedControls(){
Function.Call((Hash)0x643ED62D5EA3BEBDuL);
}

/// <summary>
/// control: see IS_CONTROL_ENABLED
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Pad<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x7F4724035FDCA1DD<br />
/// </para>
/// </remarks>
public static void AllowAlternativeScriptControlsLayout(int control){
Function.Call((Hash)0x7F4724035FDCA1DDuL, control);
}

}}
